#include <Ogre.h>

#include "FreeCamera.h"


FreeCamera::FreeCamera(Ogre::SceneManager *smgr)
{

  /* Create camera */
  tCamera = smgr->createCamera("FreeCam");

  /* XXX -- should not be hardcoded */
  tCamera->setPosition(707, 40, 528);
  tCamera->setOrientation(Ogre::Quaternion(-0.3486, 0.0122, 0.9365, 0.0329));
  /* -- XXX */

  tCamera->setNearClipDistance(1);
  tCamera->setFarClipDistance(1000); /* XXX -- some cards support unlimited clipdistance I think */

  mDir = Ogre::Vector3::ZERO;

}

FreeCamera::~FreeCamera()
{
  /* XXX : destroy cam */
}


